/{organizationId}/{mandateId}/booking/events/{eventId}/attendees/{attendeeId}/acceptWaitlistSeatAccept attendee waitlist seat
Accepts a waitlist seat for a specific attendee for a specific event for a given mandate
Required permissions:
mandate.read
event.read
attendee.edit
Path Parameters
organizationIdstringrequired mandateIdstringrequired eventIdstringrequired attendeeIdstringrequired Request Body required
Content-Type: application/json
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/events/{eventId}/attendees/{attendeeId}/acceptWaitlistSeat' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"payment": {
"paymentMethod": "sepaCreditTransfer",
"sepaDirectDebit": {
"iban": "string",
"bic": "string"
},
"online": {
"paymentIntent": "000000000000000000000001"
}
}
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
Additional properties are not allowed.
Response
{
"paymentIntent": {
"id": "string",
"provider": "stripe",
"status": "succeeded",
"token": "string"
}
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}